﻿html {
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;
    overflow: hidden;
    height:100%;
    width:100%;
	font-size: 12px;
    font-family: Verdana;
}

body {
	font-size: 12px;
    font-family: Verdana;
	line-height: 14px;
	color: black; 
    position:absolute; top:0; bottom:0; right:0; left:0;
    height:100%;
    width:100%;
    min-height:100%;min-width:100%;
    margin: 0;
    padding: 0;
}
table{
	font-size: 12px;
    font-family: Verdana;
}
#MBOXHeader {
	width:100%;
	margin-top: -17px;
}

#MBOXHeader > table{
    width:1234px;
    height:94px;
	background-image: url('/MBOXWAP/100/Images/new/HeaderImages/header_bg.png');
	background-repeat:no-repeat;
	background-position:top;
	border-collapse:collapse;
	padding-top:0px;
	margin-top:0px;
}

.HeaderLine {
    background-color:#A6E2EF;
    color:black;  
    line-height:20px;
    font-weight:bold;
}

#MBOXWAPMainContainerTable {
    /*background: url('/MBOXWAP/100/Images/new/desktop/PropMainBg.png') no-repeat left top fixed;*/
    /*background-size:100% 100%*/
}

LABEL.MBOXControlCaption
{
    line-height: 20px;
}

INPUT.MBOXTextBox
{
    border:1px solid #A6E2EF;
}

LABEL.MBOXLabel
{
}

TEXTAREA.MBOXTextArea
{
    border:1px solid #A6E2EF;
}

TEXTAREA.MBOXHTMLCodeEditor
{
    border:1px solid #A6E2EF;
    resize: both;
    overflow: auto;
    display:block;
}

SELECT.MBOXComboBox
{
    border:1px solid #A6E2EF;
}

INPUT.MBOXCheckBox
{
}

INPUT.MBOXTextBox:focus,TEXTAREA.MBOXTextArea:focus, SELECT.MBOXComboBox:focus {
    box-shadow: 0 0 1px 0 rgba(0,0,0,0.2), 0 0 1px rgba(0,0,0,0.1), 0 0 1px 1px black;
}

INPUT.MBOXOptionGroup
{
}

INPUT.MBOXButton
{
    background-color: #F48132;
    border-left: solid #F48132; 2px;
    border-top: solid #F48132; 2px;
    border-right: solid #F48132; 2px;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
	color:black;
	height:32px;
	padding:4px 16px;
	text-shadow:#A6E2EF 0 1px 0;
}

INPUT.MBOXImageButton
{
    width:auto;
    height:auto;
    background-color:transparent;
}

LABEL.MBOXExplanation
{
    font-weight: bold;
}

input[type='text'],
input[type='password'],
select,
textarea
 {
    margin: 1px;
    padding-left:5px;
}

.MBOXCommonImage{
  height: auto;
  vertical-align: middle;
  text-align: center;
  border: 0;
}

#OperationList .MBOXImageButton {
    width:25px;
    padding: 2px 1px 2px 0px;
}

.ActionHeader {
    background-image: url('/MBOXWAP/100/Images/new/desktop/grid/header_bg.png');
    background-repeat:repeat-x;
    background-position:center center;
    color:white;
    vertical-align:middle;
    line-height: 26px;
}

#Header {
    background-image: url('/MBOXWAP/100/Images/new/desktop/grid/header_bg.png');
    background-repeat:repeat-x;
    background-position:center center;
    color:white;
    vertical-align:middle;
}

#Header table {
    height:100%;
}

.regular-checkbox {
	display: none;
}
.regular-checkbox + label {
	border:solid 1px #A6E2EF;
	padding: 0px;
	display: inline-block;
	position: relative;
	cursor:pointer;
	height: 12px;
	width: 19px!important;
	box-shadow:none;
    background-color: white;
}

.regular-checkbox + label:active, .regular-checkbox:checked + label:active {
	box-shadow: 0 1px 2px rgba(0,0,0,0.05), inset 0px 1px 3px rgba(0,0,0,0.1);
}

.regular-checkbox:checked + label {
	border:solid 1px #A6E2EF;
	padding: 0px;
	display: inline-block;
	position: relative;
	cursor:pointer;
	box-shadow:none;
}

.regular-checkbox:checked + label:after {
	content: '\2714';
	position: absolute;
	top: 0px;
	left: 4px;
	color:black;
}

select.select{
	position:absolute;
	z-index:10;
	width:190px !important;
	height:18px !important;
	line-height:18px;
}

span.select{
	position:absolute;
	float:left;
	width:190px;
	height:18px;
	line-height:18px;
	text-indent:10px;
	background:url(images/bg_select.png) no-repeat 0 0;
	cursor:default;
	z-index:1;
}

.MBOXRecordGridDiv{
    position:relative;
    border-left: solid #006D9E 1px;
    border-top: solid #006D9E 1px;
    border-right: solid #006D9E 1px;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    border-bottom: solid #006D9E 1px;
    background: rgba(255, 255, 255, 0.69); 
    overflow-x:scroll;
}

.MBOXGridHeaderRow
{
    color: white;
    background-color: #006D9E;
    height:26px;
}

.MBOXRecordGridOdd{
    background-color:rgba(166,226,239,0.69);
    font-weight:normal;
}

.MBOXRecordGridEven{
    background-color:rgba(255,255,255,0);
    font-weight:normal;
}

.MBOXRecordGridSelected{
    cursor:default;
    background-color: #F48132;
}

.MBOXRecordGridOdd:hover, .MBOXRecordGridEven:hover, .MBOXRecordGridSelected:hover{
    cursor: pointer;
    background-color:#F48132;
    color: white;
}

.notification-container {
    cursor:pointer;
	position: relative;
	width: 32px;
	height: 38px;
	top: 6px;
	left: 15px;
}

.notification-counter {   
	position: absolute;
	top: -3px;
	left: 20px;
	background-color: rgba(212, 19, 13, 1);
	color: white;
	padding: 1px 3px;
	font: 8px slateprolight;
    display: none;
}

ul.notify, li.notification-container {
	list-style: none;margin: 0;padding: 0;
}

tr.EFMSOperationsFormMenu:hover {
    background-image: url('/MBOXWAP/100/Images/new/desktop/editHover.png');
    background-repeat:repeat;
    background-position: 0% 0%;
    color:black;  
    cursor:pointer;
}

.MBOXToolTipTextDisabled {
    color: #000000; 
    outline: none;
    cursor: text; 
    text-decoration: none;
    position: relative;
}
.MBOXToolTipTextDisabled span {display:none;}
.MBOXToolTipTextDisabled: hover span {display:none;}
		
.MBOXToolTipText {
	color: #000000; 
    outline: none;
	cursor: help; 
    text-decoration: none;
	position: relative;
}
.MBOXToolTipText span {
	margin-left: -999em;
	position: absolute;
}
.MBOXToolTipText:hover span {
	border-radius: 5px 5px; -moz-border-radius: 5px; -webkit-border-radius: 5px; 
	box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.1); -webkit-box-shadow: 5px 5px rgba(0, 0, 0, 0.1); -moz-box-shadow: 5px 5px rgba(0, 0, 0, 0.1);
	position: absolute; left: 1em; top: 2em; z-index: 99;
	margin-left: 0; width: 480px;
}
.MBOXToolTipText:hover .MBOXToolTipTextStyle > img {
    border: 0; margin: -10px 0 0 -45px;
    float: left; position: absolute;
}
.MBOXToolTipText:hover em {
	display: block; padding: 0.2em 0 0.6em 0;
}
.MBOXToolTipTextStyle { 
    padding: 0.5em 0.8em 0.8em 2em; 
    background: #9FDAEE; 
    border: 1px solid #2BB0D7;
    line-height:1.5em;
}

div[mboxwebcontroltype="26"] {
    list-style-type: none;
    margin: 0;
    padding: 0;
    width: 500px;
}

div[mboxwebcontroltype="26"] div {
    margin: 0 5px 5px 5px;
    padding: 5px;
    height: 1.5em;
    line-height: 1.2em;
}


.ui-state-highlight {
    height: 1.5em;
    line-height: 1.2em;
}

.MBOXTabPanelScrollImage {
    background-color: #85C1E9;
    border-left: solid #006D9E 1px;
    border-top: solid #006D9E 1px;
    border-right: solid #006D9E 1px;
    width: 18px;
    Height: 24px;
    overflow: hidden;
    white-space: nowrap;
    text-align: center;
    vertical-align: middle;
    margin: 0px;
}

.MBOXTabPanelScrollImage:hover {
    cursor: pointer;
}

.MBOXTabPanelCaptionSelected {
    border-left: solid #006D9E 1px;
    border-top: solid #006D9E 1px;
    border-right: solid #006D9E 1px;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    Height: 24px;
    text-align: center;
    vertical-align: middle;
    line-height: 24px;
    margin: 0px;
    background-color: #006D9E;
    color: white;
}

.MBOXTabPanelCaptionUnselected {
    border-left: solid #006D9E 1px;
    border-top: solid #006D9E 1px;
    border-right: solid #006D9E 1px;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    Height: 24px;
    text-align: center;
    vertical-align: middle;
    line-height: 24px;
    margin: 0px;
    background-color: white;
    color: #006D9E;
}

.MBOXTabPanelCaptionUnselected:hover {
    color: red;
    cursor: pointer;
}

.MBOXTabPanelCaptionDisabled {
    border-left: solid #006D9E 1px;
    border-top: solid #006D9E 1px;
    border-right: solid #006D9E 1px;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    Height: 24px;
    text-align: center;
    vertical-align: middle;
    line-height: 24px;
    margin: 0px;
    background-color: white;
    color: grey;
}

.MBOXTabPanelMainContainer {
    display: flex;
    justify-content: flex-end;
    flex-direction: column;
    Width: 100%;
    Height: 100%;
    overflow-y: hidden;
    overflow-x: hidden;
    padding-right: 0px;
    padding-left: 0px;
    padding-top: 0px;
    padding-bottom: 0px;
}

.MBOXTabPanelDetailContainer {
    background: rgba(255, 255, 255, 0.69); 
    border-left: solid #006D9E 1px;
    border-top: solid #006D9E 1px;
    border-right: solid #006D9E 1px;
    border-bottom: solid #006D9E 1px;
    width: 100%;
    width: calc(100% - 4px);
    Height: 100%;
    overflow-y: auto;
    overflow-x: auto;
}

.MBOXTabPanelTableContainer {
    border: 0px;
    text-align: left;
    vertical-align: top;
    white-space: nowrap;
    width:100%;
}

.MBOXTreeViewMainContainer {
    border: solid #006D9E 1px;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    overflow-y: hidden;
    overflow-x: hidden;
    padding-right: 0px;
    padding-left: 0px;
    padding-top: 0px;
    padding-bottom: 0px;
}

.MBOXTreeViewCaption {
    Width: 100%;
    Height: 25px;
    line-height:26px;
    background-color: #006D9E;
    color: white;
    text-align: center;
    vertical-align: middle;
    display: table;
}

.MBOXTreeViewDetailContainer {
    background: rgba(255, 255, 255, 0.69); 
    border: 0px;
    overflow-y: auto;
    overflow-x: auto;
}

.MBOXTreeViewNodeTables{
    border: 0px;
    width: 100%;
    text-align: left;
    vertical-align: top;
    white-space: nowrap;
    padding: 0;
    border-spacing: 0;
    border-collapse: separate;
}

.MBOXTreeViewImageNode, .MBOXTreeViewImageNodeDisabled {
    width: 18px;
    height: 18px;
    overflow: hidden;
    white-space: nowrap;
    text-align: center;
    vertical-align: middle;
}

.MBOXTreeViewImageNode:hover {
    cursor: pointer;
}

.MBOXTreeViewImageControl {
    display: block;
    margin-left: auto;
    margin-right: auto;
}


.MBOXTreeViewControlNode {
    width: 24px;
    text-align: center;
    vertical-align: middle;
}

.MBOXTreeViewTextNode, .MBOXTreeViewTextNodeDisabled {
    width: 100%;
    text-align: left;
    vertical-align: middle;
    overflow: hidden;
    white-space: nowrap;
    line-height: 20px;
}

.MBOXTreeViewTextNode:hover {
    background-color: #F48132;
    color: white;
    cursor: pointer;
}

.MBOXTreeViewTextNodeSelected {
    width: 100%;
    text-align: left;
    vertical-align: middle;
    overflow: hidden;
    white-space: nowrap;
    background-color: #F48132;
    color: white;
    line-height: 20px;
}

.MBOXTreeViewTextNodeSelected:hover {
    cursor: pointer;
}
.MBOXTreeViewTextNodeDisabled:hover {
      cursor: not-allowed;
}
.MBOXWaitSection_Div {
    z-index: 10000;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: none;
    position: absolute;
    background-color: rgb(204,204,204,0.5);
    color: #aaaaaa;
}
.MBOXWaitSection_Table {
    border-collapse;
    border: 4px navy solid;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    color: #000000;
    background-color: #ffffff;
}
